### Hierarchy

- unknown
  - SepaAccountPayload

## Index

### Constructors

- constructor

### Methods

- getBic
- getEmail
- getHolderName
- getIban
- serializeBinary
- setBic
- setEmail
- setHolderName
- setIban
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SepaAccountPayload(): SepaAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns SepaAccountPayload

## Methods

### getBic

- getBic(): string

- - Defined in src/protobuf/pb_pb.d.ts:4964

  #### Returns string

### getEmail

- getEmail(): string

- - Defined in src/protobuf/pb_pb.d.ts:4967

  #### Returns string

### getHolderName

- getHolderName(): string

- - Defined in src/protobuf/pb_pb.d.ts:4958

  #### Returns string

### getIban

- getIban(): string

- - Defined in src/protobuf/pb_pb.d.ts:4961

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:4970

  #### Returns Uint8Array

### setBic

- setBic(value: string): SepaAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4965

  #### Parameters

  - ##### value: string

  #### Returns SepaAccountPayload

### setEmail

- setEmail(value: string): SepaAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4968

  #### Parameters

  - ##### value: string

  #### Returns SepaAccountPayload

### setHolderName

- setHolderName(value: string): SepaAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4959

  #### Parameters

  - ##### value: string

  #### Returns SepaAccountPayload

### setIban

- setIban(value: string): SepaAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4962

  #### Parameters

  - ##### value: string

  #### Returns SepaAccountPayload

### toObject

- toObject(includeInstance?: boolean): SepaAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4971

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SepaAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SepaAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4974

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SepaAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SepaAccountPayload, reader: BinaryReader): SepaAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4975

  #### Parameters

  - ##### message: SepaAccountPayload

  - ##### reader: BinaryReader

  #### Returns SepaAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SepaAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:4973

  #### Parameters

  - ##### message: SepaAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SepaAccountPayload ): SepaAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4972

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SepaAccountPayload

  #### Returns SepaAccountPayload . AsObject

Generated using TypeDoc